Name:             CharLS
Version:          1.0
Release:          1
Summary:          An optimized implementation of the JPEG-LS standard
License:          BSD
URL:              https://github.com/team-charls/charls
Source0:          https://github.com/team-charls/charls/archive/%{version}.tar.gz
Patch0:           charls_add_cmake_install_target.patch
Patch1:           charls_add_sharedlib_soname.patch
Patch2:           charls_fix_tests.patch
BuildRequires:    gcc
BuildRequires:    gcc-c++
BuildRequires:    cmake >= 2.6.0
BuildRequires:    dos2unix
%description
An optimized implementation of the JPEG-LS standard for loss less and
near loss less image compression. JPEG-LS is a low-complexity standard that
matches JPEG 2000 compression ratios. In terms of speed, CharLS outperforms
open source and commercial JPEG LS implementations.
JPEG-LS (ISO-14495-1/ITU-T.87) is a standard derived from the Hewlett Packard
LOCO algorithm. JPEG LS has low complexity (meaning fast compression) and high
compression ratios, similar to JPEG 2000. JPEG-LS is more similar to the old
loss less JPEG than to JPEG 2000, but interestingly the two different techniques
result in vastly different performance characteristics.

%prep
%setup -q -n charls-%{version} 
rm CharLS.vcproj
rm CharLS.sln
dos2unix *.h
dos2unix *.c*
dos2unix *.txt
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%cmake -DBUILD_SHARED_LIBS:BOOL=ON\
    -Dcharls_BUILD_SHARED_LIBS:BOOL=ON\
       -DCMAKE_BUILD_TYPE:STRING="Release"\
       -DCMAKE_VERBOSE_MAKEFILE=ON\
       -DBUILD_TESTING=ON .
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%check
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:.
ctest .
%ldconfig_scriptlets

%files
%license License.txt
%{_libdir}/*.so.*

%package        devel
Summary:    Libraries and headers for CharLS
Requires:    %{name}%{?_isa} = %{version}-%{release}
%description devel
CharLS Library Header Files and Link Libraries.

%files devel
%dir %{_includedir}/%{name}/
%{_includedir}/%{name}/*
%{_libdir}/*.so

%changelog
* Thu Aug 27 2020 geyanan <geyanan2@huawei.com> - 1.0-1
- package init
